import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { CnProject } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-11-04 10:58
 */
interface CnProjectCU extends ConditionUtil<CnProjectCU> {
    ID: FieldUtil<CnProjectCU>;
    SERVICE_CENTER_ID: FieldUtil<CnProjectCU>;
    APP_ID: FieldUtil<CnProjectCU>;
    NAME: FieldUtil<CnProjectCU>;
    DESCRIBE: FieldUtil<CnProjectCU>;
    GITLAB_URL: FieldUtil<CnProjectCU>;
    TAPD_ID: FieldUtil<CnProjectCU>;
    HEALTHY_URL: FieldUtil<CnProjectCU>;
    DELETED: FieldUtil<CnProjectCU>;
    CREATE_USER_ID: FieldUtil<CnProjectCU>;
    CREATE_TIME: FieldUtil<CnProjectCU>;
    UPDATE_USER_ID: FieldUtil<CnProjectCU>;
    UPDATE_TIME: FieldUtil<CnProjectCU>;
    MAIN_CLASS: FieldUtil<CnProjectCU>;
    LANGUAGE: FieldUtil<CnProjectCU>;
    BUILD_TYPE: FieldUtil<CnProjectCU>;
    BUILD_OUT_PATH: FieldUtil<CnProjectCU>;
    BUILD_SCRIPT: FieldUtil<CnProjectCU>;
    START_TYPE: FieldUtil<CnProjectCU>;
    START_SCRIPT: FieldUtil<CnProjectCU>;
    START_PARAMS: FieldUtil<CnProjectCU>;
    BUILD_TOOL_ID: FieldUtil<CnProjectCU>;
}
declare class CnProjectMU extends TableUtilImpl<CnProjectCU, CnProject> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): CnProjectCU;
    static get ID(): FieldUtil<CnProjectCU>;
    static get SERVICE_CENTER_ID(): FieldUtil<CnProjectCU>;
    static get APP_ID(): FieldUtil<CnProjectCU>;
    static get NAME(): FieldUtil<CnProjectCU>;
    static get DESCRIBE(): FieldUtil<CnProjectCU>;
    static get GITLAB_URL(): FieldUtil<CnProjectCU>;
    static get TAPD_ID(): FieldUtil<CnProjectCU>;
    static get HEALTHY_URL(): FieldUtil<CnProjectCU>;
    static get DELETED(): FieldUtil<CnProjectCU>;
    static get CREATE_USER_ID(): FieldUtil<CnProjectCU>;
    static get CREATE_TIME(): FieldUtil<CnProjectCU>;
    static get UPDATE_USER_ID(): FieldUtil<CnProjectCU>;
    static get UPDATE_TIME(): FieldUtil<CnProjectCU>;
    static get MAIN_CLASS(): FieldUtil<CnProjectCU>;
    static get LANGUAGE(): FieldUtil<CnProjectCU>;
    static get BUILD_TYPE(): FieldUtil<CnProjectCU>;
    static get BUILD_OUT_PATH(): FieldUtil<CnProjectCU>;
    static get BUILD_SCRIPT(): FieldUtil<CnProjectCU>;
    static get START_TYPE(): FieldUtil<CnProjectCU>;
    static get START_SCRIPT(): FieldUtil<CnProjectCU>;
    static get START_PARAMS(): FieldUtil<CnProjectCU>;
    static get BUILD_TOOL_ID(): FieldUtil<CnProjectCU>;
    get ID(): FieldUtil<CnProjectCU>;
    get SERVICE_CENTER_ID(): FieldUtil<CnProjectCU>;
    get APP_ID(): FieldUtil<CnProjectCU>;
    get NAME(): FieldUtil<CnProjectCU>;
    get DESCRIBE(): FieldUtil<CnProjectCU>;
    get GITLAB_URL(): FieldUtil<CnProjectCU>;
    get TAPD_ID(): FieldUtil<CnProjectCU>;
    get HEALTHY_URL(): FieldUtil<CnProjectCU>;
    get DELETED(): FieldUtil<CnProjectCU>;
    get CREATE_USER_ID(): FieldUtil<CnProjectCU>;
    get CREATE_TIME(): FieldUtil<CnProjectCU>;
    get UPDATE_USER_ID(): FieldUtil<CnProjectCU>;
    get UPDATE_TIME(): FieldUtil<CnProjectCU>;
    get MAIN_CLASS(): FieldUtil<CnProjectCU>;
    get LANGUAGE(): FieldUtil<CnProjectCU>;
    get BUILD_TYPE(): FieldUtil<CnProjectCU>;
    get BUILD_OUT_PATH(): FieldUtil<CnProjectCU>;
    get BUILD_SCRIPT(): FieldUtil<CnProjectCU>;
    get START_TYPE(): FieldUtil<CnProjectCU>;
    get START_SCRIPT(): FieldUtil<CnProjectCU>;
    get START_PARAMS(): FieldUtil<CnProjectCU>;
    get BUILD_TOOL_ID(): FieldUtil<CnProjectCU>;
}
export { CnProjectMU, CnProjectCU };
